//
//  TremorManager.h
//  TremorSdk
//
//  Created by Howard on 2021/11/12.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
/**
 测试中回调，返回波动值
 */
typedef void (^TremorTestingCallback)(float value);

/**
 等待结果回调，可以在这里绘制loading框
 */
typedef void (^TremorWaitCallback)(void);
/**
  结果回调 code:0成功获取结果 errorMsg:错误信息 resultDic:结果数据
 */
typedef void (^TremorResultCallback)(NSInteger code,NSString * _Nullable errorMsg,NSDictionary * _Nullable resultDic);
NS_ASSUME_NONNULL_BEGIN
/**
  震颤管理类
 */
@interface TremorManager : NSObject
/**
  实例化对象
 */
+ (instancetype)shareManager;

/**
 设置服务器环境，true：正式环境，false：开发环境（默认开发环境)
 */
- (void)setRelease:(Boolean)release;

/**
  使用内置界面的方式
 */
- (void)pushViewController:(UINavigationController *)nav;

/**
  无界面的方式，开始震颤
  duration：持续时间，单位S
  callback:测试中回调
  waitCallback:等待结果回调
  resultCallback:结果回调
 */
- (void)startTremor:(NSInteger)duration progress:(TremorTestingCallback)callback wait:(TremorWaitCallback)waitCallback result:(TremorResultCallback)resultCallback;
/**
 停止测试
 */
- (void)stopTremor;

@end

NS_ASSUME_NONNULL_END
